All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH 1/2] udev-extraconf: Add -o silent to auto mount
@ 2013-04-10  6:25 Saul Wold
  2013-04-10  6:25 ` [PATCH 2/2] busybox: fail on no media Saul Wold
  2013-04-10  9:34 ` [PATCH 1/2] udev-extraconf: Add -o silent to auto mount Hongxu Jia
  0 siblings, 2 replies; 3+ messages in thread
From: Saul Wold @ 2013-04-10  6:25 UTC (permalink / raw)
  To: openembedded-core

This will silence some of the noisy output from mount and the kernel
when trying to automount filesystems or devices

[YOCTO #3935]

Signed-off-by: Saul Wold <sgw@linux.intel.com>
---
 meta/recipes-core/udev/udev-extraconf/mount.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta/recipes-core/udev/udev-extraconf/mount.sh b/meta/recipes-core/udev/udev-extraconf/mount.sh
index 99c76b2..7b58361 100644
--- a/meta/recipes-core/udev/udev-extraconf/mount.sh
+++ b/meta/recipes-core/udev/udev-extraconf/mount.sh
@@ -22,7 +22,7 @@ automount() {
 
 	! test -d "/media/$name" && mkdir -p "/media/$name"
 	
-	if ! $MOUNT -t auto $DEVNAME "/media/$name"
+	if ! $MOUNT -o silent -t auto $DEVNAME "/media/$name"
 	then
 		#logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME \"/media/$name\" failed!"
 		rm_dir "/media/$name"
-- 
1.8.0.2




^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2013-04-10  9:51 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-04-10  6:25 [PATCH 1/2] udev-extraconf: Add -o silent to auto mount Saul Wold
2013-04-10  6:25 ` [PATCH 2/2] busybox: fail on no media Saul Wold
2013-04-10  9:34 ` [PATCH 1/2] udev-extraconf: Add -o silent to auto mount Hongxu Jia

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.